complete -c attic -n "__fish_use_subcommand" -s h -l help -d 'Print help'
complete -c attic -n "__fish_use_subcommand" -s V -l version -d 'Print version'
complete -c attic -n "__fish_use_subcommand" -f -a "login" -d 'Log into an Attic server'
complete -c attic -n "__fish_use_subcommand" -f -a "use" -d 'Configure Nix to use a binary cache'
complete -c attic -n "__fish_use_subcommand" -f -a "push" -d 'Push closures to a binary cache'
complete -c attic -n "__fish_use_subcommand" -f -a "cache" -d 'Manage caches on an Attic server'
complete -c attic -n "__fish_use_subcommand" -f -a "watch-store" -d 'Watch the Nix Store for new paths and upload them to a binary cache'
complete -c attic -n "__fish_use_subcommand" -f -a "get-closure" -d 'Returns the closure of a store path (test)'
complete -c attic -n "__fish_use_subcommand" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c attic -n "__fish_seen_subcommand_from login" -l set-default -d 'Set the server as the default'
complete -c attic -n "__fish_seen_subcommand_from login" -s h -l help -d 'Print help'
complete -c attic -n "__fish_seen_subcommand_from login" -s V -l version -d 'Print version'
complete -c attic -n "__fish_seen_subcommand_from use" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c attic -n "__fish_seen_subcommand_from use" -s V -l version -d 'Print version'
complete -c attic -n "__fish_seen_subcommand_from push" -s j -l jobs -d 'The maximum number of parallel upload processes' -r
complete -c attic -n "__fish_seen_subcommand_from push" -l no-closure -d 'Push the specified paths only and do not compute closures'
complete -c attic -n "__fish_seen_subcommand_from push" -l ignore-upstream-cache-filter -d 'Ignore the upstream cache filter'
complete -c attic -n "__fish_seen_subcommand_from push" -l force-preamble -d 'Always send the upload info as part of the payload'
complete -c attic -n "__fish_seen_subcommand_from push" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c attic -n "__fish_seen_subcommand_from push" -s V -l version -d 'Print version'
complete -c attic -n "__fish_seen_subcommand_from cache; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from destroy; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from help" -s h -l help -d 'Print help'
complete -c attic -n "__fish_seen_subcommand_from cache; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from destroy; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from help" -s V -l version -d 'Print version'
complete -c attic -n "__fish_seen_subcommand_from cache; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from destroy; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from help" -f -a "create" -d 'Create a cache'
complete -c attic -n "__fish_seen_subcommand_from cache; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from destroy; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from help" -f -a "configure" -d 'Configure a cache'
complete -c attic -n "__fish_seen_subcommand_from cache; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from destroy; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from help" -f -a "destroy" -d 'Destroy a cache'
complete -c attic -n "__fish_seen_subcommand_from cache; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from destroy; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from help" -f -a "info" -d 'Show the current configuration of a cache'
complete -c attic -n "__fish_seen_subcommand_from cache; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from destroy; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c attic -n "__fish_seen_subcommand_from cache; and __fish_seen_subcommand_from create" -l store-dir -d 'The Nix store path this binary cache uses' -r
complete -c attic -n "__fish_seen_subcommand_from cache; and __fish_seen_subcommand_from create" -l priority -d 'The priority of the binary cache' -r
complete -c attic -n "__fish_seen_subcommand_from cache; and __fish_seen_subcommand_from create" -l upstream-cache-key-name -d 'The signing key name of an upstream cache' -r
complete -c attic -n "__fish_seen_subcommand_from cache; and __fish_seen_subcommand_from create" -l public -d 'Make the cache public'
complete -c attic -n "__fish_seen_subcommand_from cache; and __fish_seen_subcommand_from create" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c attic -n "__fish_seen_subcommand_from cache; and __fish_seen_subcommand_from create" -s V -l version -d 'Print version'
complete -c attic -n "__fish_seen_subcommand_from cache; and __fish_seen_subcommand_from configure" -l store-dir -d 'The Nix store path this binary cache uses' -r
complete -c attic -n "__fish_seen_subcommand_from cache; and __fish_seen_subcommand_from configure" -l priority -d 'The priority of the binary cache' -r
complete -c attic -n "__fish_seen_subcommand_from cache; and __fish_seen_subcommand_from configure" -l upstream-cache-key-name -d 'The signing key name of an upstream cache' -r
complete -c attic -n "__fish_seen_subcommand_from cache; and __fish_seen_subcommand_from configure" -l retention-period -d 'Set the retention period of the cache' -r
complete -c attic -n "__fish_seen_subcommand_from cache; and __fish_seen_subcommand_from configure" -l regenerate-keypair -d 'Regenerate the signing keypair'
complete -c attic -n "__fish_seen_subcommand_from cache; and __fish_seen_subcommand_from configure" -l public -d 'Make the cache public'
complete -c attic -n "__fish_seen_subcommand_from cache; and __fish_seen_subcommand_from configure" -l private -d 'Make the cache private'
complete -c attic -n "__fish_seen_subcommand_from cache; and __fish_seen_subcommand_from configure" -l reset-retention-period -d 'Reset the retention period of the cache to global default'
complete -c attic -n "__fish_seen_subcommand_from cache; and __fish_seen_subcommand_from configure" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c attic -n "__fish_seen_subcommand_from cache; and __fish_seen_subcommand_from configure" -s V -l version -d 'Print version'
complete -c attic -n "__fish_seen_subcommand_from cache; and __fish_seen_subcommand_from destroy" -l no-confirm -d 'Don\'t ask for interactive confirmation'
complete -c attic -n "__fish_seen_subcommand_from cache; and __fish_seen_subcommand_from destroy" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c attic -n "__fish_seen_subcommand_from cache; and __fish_seen_subcommand_from destroy" -s V -l version -d 'Print version'
complete -c attic -n "__fish_seen_subcommand_from cache; and __fish_seen_subcommand_from info" -s h -l help -d 'Print help'
complete -c attic -n "__fish_seen_subcommand_from cache; and __fish_seen_subcommand_from info" -s V -l version -d 'Print version'
complete -c attic -n "__fish_seen_subcommand_from cache; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from destroy; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from help" -f -a "create" -d 'Create a cache'
complete -c attic -n "__fish_seen_subcommand_from cache; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from destroy; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from help" -f -a "configure" -d 'Configure a cache'
complete -c attic -n "__fish_seen_subcommand_from cache; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from destroy; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from help" -f -a "destroy" -d 'Destroy a cache'
complete -c attic -n "__fish_seen_subcommand_from cache; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from destroy; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from help" -f -a "info" -d 'Show the current configuration of a cache'
complete -c attic -n "__fish_seen_subcommand_from cache; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from destroy; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c attic -n "__fish_seen_subcommand_from watch-store" -s j -l jobs -d 'The maximum number of parallel upload processes' -r
complete -c attic -n "__fish_seen_subcommand_from watch-store" -l no-closure -d 'Push the new paths only and do not compute closures'
complete -c attic -n "__fish_seen_subcommand_from watch-store" -l ignore-upstream-cache-filter -d 'Ignore the upstream cache filter'
complete -c attic -n "__fish_seen_subcommand_from watch-store" -l force-preamble -d 'Always send the upload info as part of the payload'
complete -c attic -n "__fish_seen_subcommand_from watch-store" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c attic -n "__fish_seen_subcommand_from watch-store" -s V -l version -d 'Print version'
complete -c attic -n "__fish_seen_subcommand_from get-closure" -l include-outputs -d 'For derivations, include their outputs'
complete -c attic -n "__fish_seen_subcommand_from get-closure" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c attic -n "__fish_seen_subcommand_from get-closure" -s V -l version -d 'Print version'
complete -c attic -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from login; and not __fish_seen_subcommand_from use; and not __fish_seen_subcommand_from push; and not __fish_seen_subcommand_from cache; and not __fish_seen_subcommand_from watch-store; and not __fish_seen_subcommand_from get-closure; and not __fish_seen_subcommand_from help" -f -a "login" -d 'Log into an Attic server'
complete -c attic -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from login; and not __fish_seen_subcommand_from use; and not __fish_seen_subcommand_from push; and not __fish_seen_subcommand_from cache; and not __fish_seen_subcommand_from watch-store; and not __fish_seen_subcommand_from get-closure; and not __fish_seen_subcommand_from help" -f -a "use" -d 'Configure Nix to use a binary cache'
complete -c attic -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from login; and not __fish_seen_subcommand_from use; and not __fish_seen_subcommand_from push; and not __fish_seen_subcommand_from cache; and not __fish_seen_subcommand_from watch-store; and not __fish_seen_subcommand_from get-closure; and not __fish_seen_subcommand_from help" -f -a "push" -d 'Push closures to a binary cache'
complete -c attic -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from login; and not __fish_seen_subcommand_from use; and not __fish_seen_subcommand_from push; and not __fish_seen_subcommand_from cache; and not __fish_seen_subcommand_from watch-store; and not __fish_seen_subcommand_from get-closure; and not __fish_seen_subcommand_from help" -f -a "cache" -d 'Manage caches on an Attic server'
complete -c attic -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from login; and not __fish_seen_subcommand_from use; and not __fish_seen_subcommand_from push; and not __fish_seen_subcommand_from cache; and not __fish_seen_subcommand_from watch-store; and not __fish_seen_subcommand_from get-closure; and not __fish_seen_subcommand_from help" -f -a "watch-store" -d 'Watch the Nix Store for new paths and upload them to a binary cache'
complete -c attic -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from login; and not __fish_seen_subcommand_from use; and not __fish_seen_subcommand_from push; and not __fish_seen_subcommand_from cache; and not __fish_seen_subcommand_from watch-store; and not __fish_seen_subcommand_from get-closure; and not __fish_seen_subcommand_from help" -f -a "get-closure" -d 'Returns the closure of a store path (test)'
complete -c attic -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from login; and not __fish_seen_subcommand_from use; and not __fish_seen_subcommand_from push; and not __fish_seen_subcommand_from cache; and not __fish_seen_subcommand_from watch-store; and not __fish_seen_subcommand_from get-closure; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c attic -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from cache; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from destroy; and not __fish_seen_subcommand_from info" -f -a "create" -d 'Create a cache'
complete -c attic -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from cache; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from destroy; and not __fish_seen_subcommand_from info" -f -a "configure" -d 'Configure a cache'
complete -c attic -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from cache; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from destroy; and not __fish_seen_subcommand_from info" -f -a "destroy" -d 'Destroy a cache'
complete -c attic -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from cache; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from destroy; and not __fish_seen_subcommand_from info" -f -a "info" -d 'Show the current configuration of a cache'
